directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Karasulu <akaras...@apache.org>
Subject Backwards compatibility (was: Re: Issue with multi valued attributes)
Date Wed, 17 Jan 2007 13:07:01 GMT
Since we made the change to LockableAttributesImpl etc in shared-ldap 
this will now impact the store which has serialized objects.

The db for 1.0.0 and 1.0.1 are not compatible.  You must export the DB 
then reimport it to goto 1.0.1.

We can rollback this change in 1.0.x.  There was no need to rename these 
classes.

This is the reason why I say not to change the 1.0.x branch drastically 
and only to fix bugs.  Changing the name of a class in ldap-shared was 
fine for 1.5.x but not for 1.0.x.  In general don't get too enthusiastic 
in the 1.0 branch.

Should we roll back this useless change that breaks backwards 
compatibility between 1.0.1 and 1.0.0?

Regards,
Alex


Emmanuel Lecharny wrote:
> Well, good question ...
> 
> There is no such option atm in the installer. It would be very cool if 
> you could fill a JIRA about this problem, so we will be sure not to miss 
> it when releasing 1.0.1.
> 
> So far, what you can do is to backup your server.xml, and reinstall 
> above the previous install (same directory). The data should not be 
> deleted ( but do a backup to be safe). Then, restore the server.xml file.
> 
> Emmanuel
> 
> On 1/16/07, *Tony Thompson* <Tony.Thompson@stone-ware.com 
> <mailto:Tony.Thompson@stone-ware.com>> wrote:
> 
>     Yes, thank you.  I installed it and it is working great.
> 
>     That brings me to another question though.  If I am running 1.0.0
>     and I want to upgrade to 1.0.1, the installer seems to overwrite
>     things like my server.xml config file, etc.  How do I do the upgrade
>     so it doesn't mess with my current configuration?
> 
>     -----Original Message-----
>     From: Emmanuel Lecharny [mailto:elecharny@gmail.com
>     <mailto:elecharny@gmail.com>]
>     Sent: Saturday, January 13, 2007 4:05 AM
>     To: Apache Directory Developers List
>     Subject: Re: Issue with multi valued attributes
> 
>     Emmanuel Lecharny a écrit :
> 
>      > Tony Thompson a écrit :
>      >
>      >> I am using Windows.  If you could get an install together, that
>     would
>      >> be great.
>      >>
>      >>
>     Thanks to Christine, the Windoze installer is now available here :
>     http://people.apache.org/~elecharny/apacheds-1.0.1-SNAPSHOT-win32-setup.exe
> 
>     All other installer are also here :
>     http://people.apache.org/~elecharny
> 
>     Emmanuel
> 
>     This message (and any associated files) is intended only for the
>     use of the individual or entity to which it is addressed and may
>     contain information that is confidential, subject to copyright or
>     constitutes a trade secret. If you are not the intended recipient
>     you are hereby notified that any dissemination, copying or
>     distribution of this message, or files associated with this message,
>     is strictly prohibited. If you have received this message in error,
>     please notify us immediately by replying to the message and deleting
>     it from your computer. Messages sent to and from Stoneware, Inc.
>     may be monitored.
> 
> 
> 
> 
> -- 
> Cordialement,
> Emmanuel Lécharny
> www.iktek.com <http://www.iktek.com>


Mime
View raw message